Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezfilemanager/user/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 7047 2001-09-06 11:16:40Z jhe $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27
28 // include_once( "ezuser/classes/ezuser.php" );
29 // include_once( "classes/eztime.php" );
30 // include_once( "classes/ezlocale.php" );
31 // include_once( "classes/ezhttptool.php" );
32
33 $ini =& eZINI::instance( 'site.ini' );
34 $GlobalSectionID = $ini->variable( "eZFileManagerMain", "DefaultSection" );
35
36 switch ( $url_array[2] )
37 {
38 case "new" :
39 {
40 $Action = "New";
41 $NewFile = true;
42 $FolderID = false;
43 include( "kernel/ezfilemanager/user/fileupload.php" );
44 }
45 break;
46
47 case "insert" :
48 {
49 $Action = "Insert";
50 include( "kernel/ezfilemanager/user/fileupload.php" );
51 }
52 break;
53
54 case "edit" :
55 {
56 $FileID = $url_array[3];
57 $Action = "Edit";
58 include( "kernel/ezfilemanager/user/fileupload.php" );
59 }
60 break;
61
62 case "update" :
63 {
64 $FileID = $url_array[3];
65 $Action = "Update";
66 include( "kernel/ezfilemanager/user/fileupload.php" );
67 }
68 break;
69
70 case "fileview" :
71 {
72 $FileID = $url_array[3];
73 include( "kernel/ezfilemanager/user/fileview.php" );
74 }
75 break;
76
77 case "download" :
78 {
79 $FileID = $url_array[3];
80 $FileNamePassed = $url_array[4];
81 include( "kernel/ezfilemanager/user/filedownload.php" );
82 }
83 break;
84
85 case "list" :
86 {
87 $FolderID = $url_array[3];
88 if ( !isset( $FolderID ) || $FolderID == "" )
89 $FolderID = 0;
90 $Offset = $url_array[4];
91 if ( !isset( $Offset ) || $Offset == "" )
92 $Offset = 0;
93 include( "kernel/ezfilemanager/user/filelist.php" );
94 }
95 break;
96
97 case "import" :
98 {
99 include( "kernel/ezfilemanager/user/filelist.php" );
100 }
101 break;
102
103 case "folder" :
104 {
105 switch ( $url_array[3] )
106 {
107
108 case "new" :
109 {
110 $parentID = $url_array[4];
111 $Action = "New";
112 $NewFolder = true;
113 $FolderID = false;
114 include( "kernel/ezfilemanager/user/folderedit.php" );
115 }
116 break;
117 case "delete" :
118 {
119 $FolderID = $url_array[4];
120 $Action = "Delete";
121 include( "kernel/ezfilemanager/user/folderedit.php" );
122 }
123 break;
124
125 case "insert" :
126 {
127 $Action = "Insert";
128 include( "kernel/ezfilemanager/user/folderedit.php" );
129 }
130 break;
131
132 case "edit" :
133 {
134 $FolderID = $url_array[4];
135 $Action = "Edit";
136 include( "kernel/ezfilemanager/user/folderedit.php" );
137 }
138 break;
139
140 case "update" :
141 {
142 $FolderID = $url_array[4];
143 $Action = "Update";
144 include( "kernel/ezfilemanager/user/folderedit.php" );
145 }
146 break;
147
148 }
149 }
150 break;
151
152 case "browse":
153 {
154 $FolderID = $url_array[3];
155 include( "kernel/ezfilemanager/admin/browse.php" );
156 }
157 break;
158
159 case "search":
160 {
161 if ( $url_array[3] == "parent" )
162 {
163 $SearchText = urldecode( $url_array[4] );
164 $Offset = $url_array[5];
165 }
166
167 include( "kernel/ezfilemanager/user/search.php" );
168 }
169 break;
170
171
172 default:
173 {
174 eZHTTPTool::header( "Location: /error/404/" );
175 exit();
176 }
177 }
178
179 ?>
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
$Action
$Action
Definition: companysearch.php:80
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$SearchText
$SearchText
Definition: ezaddress/admin/typelist.php:143
$Offset
$Offset
Definition: ezarticle/user/search.php:110
$GlobalSectionID
$GlobalSectionID
Definition: ezfilemanager/user/datasupplier.php:34
$ini
$ini
Definition: ezfilemanager/user/datasupplier.php:33
exit
exit
Definition: folder.php:81
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.